summaryrefslogtreecommitdiffstats
path: root/testsuite
diff options
context:
space:
mode:
authorDaniel Baumann <mail@daniel-baumann.ch>2015-11-07 14:04:22 +0000
committerDaniel Baumann <mail@daniel-baumann.ch>2015-11-07 14:04:22 +0000
commit62b30077af71ead4bcb4832db0904bd651481eb7 (patch)
tree10df1c3b8a4013b8064de7f184fda8197b2db707 /testsuite
parentAdding debian version 1.6~pre4-1. (diff)
downloadlzlib-62b30077af71ead4bcb4832db0904bd651481eb7.tar.xz
lzlib-62b30077af71ead4bcb4832db0904bd651481eb7.zip
Merging upstream version 1.6~rc1.
Signed-off-by: Daniel Baumann <mail@daniel-baumann.ch>
Diffstat (limited to 'testsuite')
-rwxr-xr-xtestsuite/check.sh49
1 files changed, 30 insertions, 19 deletions
diff --git a/testsuite/check.sh b/testsuite/check.sh
index 0244c58..c4a5c4a 100755
--- a/testsuite/check.sh
+++ b/testsuite/check.sh
@@ -67,6 +67,36 @@ printf .
cmp in copy || fail=1
printf .
+cat "${in_lz}" > copy.lz || framework_failure
+printf "to be overwritten" > copy || framework_failure
+"${LZIP}" -df copy.lz || fail=1
+cmp in copy || fail=1
+printf .
+
+printf "to be overwritten" > copy || framework_failure
+"${LZIP}" -df -o copy < "${in_lz}" || fail=1
+cmp in copy || fail=1
+printf .
+
+"${LZIP}" -s16 < in > anyothername || fail=1
+"${LZIP}" -d anyothername || fail=1
+cmp in anyothername.out || fail=1
+printf .
+
+cat in in > in2 || framework_failure
+"${LZIP}" -s16 -o copy2 < in2 || fail=1
+"${LZIP}" -t copy2.lz || fail=1
+printf .
+"${LZIP}" -cd copy2.lz > copy2 || fail=1
+cmp in2 copy2 || fail=1
+printf .
+
+printf "garbage" >> copy2.lz || framework_failure
+printf "to be overwritten" > copy2 || framework_failure
+"${LZIP}" -df copy2.lz || fail=1
+cmp in2 copy2 || fail=1
+printf .
+
"${LZIP}" -cfq "${in_lz}" > out
if [ $? = 1 ] ; then printf . ; else printf - ; fail=1 ; fi
"${LZIP}" -cF -s16 "${in_lz}" > out || fail=1
@@ -105,25 +135,6 @@ for i in s4Ki 0 1 2 3 4 5 6 7 8 9 ; do
done
printf .
-"${LZIP}" -s16 < in > anyothername || fail=1
-"${LZIP}" -d anyothername || fail=1
-cmp in anyothername.out || fail=1
-printf .
-
-cat in in > in2 || framework_failure
-"${LZIP}" -s16 -o copy2 < in2 || fail=1
-"${LZIP}" -t copy2.lz || fail=1
-printf .
-"${LZIP}" -cd copy2.lz > copy2 || fail=1
-cmp in2 copy2 || fail=1
-printf .
-
-printf "garbage" >> copy2.lz || framework_failure
-printf "to be overwritten" > copy2 || framework_failure
-"${LZIP}" -df copy2.lz || fail=1
-cmp in2 copy2 || fail=1
-printf .
-
"${BBEXAMPLE}" in || fail=1
"${BBEXAMPLE}" out || fail=1
printf .